//---------------------------------------------------------------------------
#ifndef AspectH
#define AspectH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TAspects : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBox1;
	TRadioButton *DarkButton;
	TRadioButton *StopSignalButton;
	TRadioButton *ClearButton;
	TRadioButton *StopandProceedButton;
	TRadioButton *ApproachButton;
	TRadioButton *MediumClearButton;
	TRadioButton *MediumApproachButton;
	TRadioButton *SlowClearButton;
	TRadioButton *SlowApproachButton;
	TRadioButton *ApproachMediumButton;
	TRadioButton *ApproachSlowButton;
	TRadioButton *RestrictingButton;
	TRadioButton *ApproachLimitedButton;
	TRadioButton *LimitedClearButton;
	TRadioButton *LimitedApproachButton;
	TRadioButton *MediumSlowApproachButton;
	TButton *OKButton;
	TButton *CancelButton;
	TImage *Copyright;
	TLabel *Info;
	TPopupMenu *AspectPopupMenu1;
	TMenuItem *MoreInformation1;
    TRadioButton *TestButton;
	void __fastcall DarkButtonClick(TObject *Sender);
	void __fastcall StopSignalButtonClick(TObject *Sender);
	void __fastcall ClearButtonClick(TObject *Sender);
	void __fastcall StopandProceedButtonClick(TObject *Sender);
	void __fastcall ApproachButtonClick(TObject *Sender);
	void __fastcall MediumClearButtonClick(TObject *Sender);
	void __fastcall MediumApproachButtonClick(TObject *Sender);
	void __fastcall SlowClearButtonClick(TObject *Sender);
	void __fastcall SlowApproachButtonClick(TObject *Sender);
	void __fastcall ApproachSlowButtonClick(TObject *Sender);
	void __fastcall RestrictingButtonClick(TObject *Sender);
	void __fastcall ApproachLimitedButtonClick(TObject *Sender);
	void __fastcall LimitedClearButtonClick(TObject *Sender);
	void __fastcall LimitedApproachButtonClick(TObject *Sender);
	void __fastcall MediumSlowApproachButtonClick(TObject *Sender);
	void __fastcall CancelButtonClick(TObject *Sender);
	void __fastcall OKButtonClick(TObject *Sender);
	void __fastcall ApproachMediumButtonClick(TObject *Sender);
	void __fastcall CopyrightClick(TObject *Sender);
	void __fastcall MoreInformation1Click(TObject *Sender);
    void __fastcall TestButtonClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	int FinalAspect;
	__fastcall TAspects(TComponent* Owner);
	__fastcall TAspects(TComponent* Owner, int Aspect, int iMode, int iType, String Line1, String Line2, String Line3);
};
//---------------------------------------------------------------------------
extern PACKAGE TAspects *Aspects;
//---------------------------------------------------------------------------
#endif
